Upgrade to Exchange Server 2007 SP3

I have Exchange Server 2007 Version: 08.02.0301.000
I need to upgrade to Exchange Server 2007 SP3 , shall i start installing SP3 directly ?

# Need some tips & notes before starting  #
LVL 3
Hani M .S. Al-habshiContributor as IT ExpertAsked:
Who is Participating?

[Product update] Infrastructure Analysis Tool is now available with Business Accounts.Learn More

x
I wear a lot of hats...

"The solutions and answers provided on Experts Exchange have been extremely helpful to me over the last few years. I wear a lot of hats - Developer, Database Administrator, Help Desk, etc., so I know a lot of things but not a lot about one thing. Experts Exchange gives me answers from people who do know a lot about one thing, in a easy to use platform." -Todd S.

MASEE Solution Guide - Technical Dept HeadCommented:
This expert suggested creating a Gigs project.
Hi Hani,
You can upgrade directly to SP3
https://www.microsoft.com/en-us/download/details.aspx?id=24111
https://technet.microsoft.com/en-us/library/ff607233%28EXCHG.80%29.aspx?f=255&MSPPError=-2147217396
Here is a simiiar thread
https://www.experts-exchange.com/questions/26911075/upgrading-Exchange-2007-from-SP1-to-SP3.html

FYI you are are running an unsupported version of Exchange consider upgradinging to Exchange 2013 or 2016. Exchange 2019 will be released by mid of 2018.

Take a full backup recommended before upgrade (recommended). If you are running out of time take a copy of your mailbox databases at-least to be safe.
Dont forget to switch off antivirus.

Thanks
MAS
0

Experts Exchange Solution brought to you by

Your issues matter to us.

Facing a tech roadblock? Get the help and guidance you need from experienced professionals who care. Ask your question anytime, anywhere, with no hassle.

Start your 7-day free trial
Lee W, MVPTechnology and Business Process AdvisorCommented:
You need to upgrade to Exchange 2010 or later (later is ideal) or move to the cloud.  You're putting yourself and your users in tremendous peril from malware and downtime by using a version of Exchange that isn't even receiving security patches.  This is VERY, VERY unwise.
0
Hani M .S. Al-habshiContributor as IT ExpertAuthor Commented:
Thank You
0
Hani M .S. Al-habshiContributor as IT ExpertAuthor Commented:
I got This error :


Summary: 3 item(s). 0 succeeded, 3 failed.
Elapsed time: 00:00:21


Hub Transport Role Prerequisites
Failed

Error:
A reboot from a previous installation is pending. Please restart the system and rerun setup.

Error:
Setup cannot continue with the upgrade because the 'wsbexchange' () process (ID: 2728) has open files. Close the process and restart Setup.

Elapsed Time: 00:00:08


Client Access Role Prerequisites
Failed

Error:
A reboot from a previous installation is pending. Please restart the system and rerun setup.

Error:
Setup cannot continue with the upgrade because the 'wsbexchange' () process (ID: 2728) has open files. Close the process and restart Setup.

Elapsed Time: 00:00:06


Mailbox Role Prerequisites
Failed

Error:
A reboot from a previous installation is pending. Please restart the system and rerun setup.

Error:
Setup cannot continue with the upgrade because the 'wsbexchange' () process (ID: 2728) has open files. Close the process and restart Setup.

Elapsed Time: 00:00:05
0
It's more than this solution.Get answers and train to solve all your tech problems - anytime, anywhere.Try it for free Edge Out The Competitionfor your dream job with proven skills and certifications.Get started today Stand Outas the employee with proven skills.Start learning today for free Move Your Career Forwardwith certification training in the latest technologies.Start your trial today
Windows Server 2008

From novice to tech pro — start learning today.